package com.gmh.entity;

import com.gmh.controller.ExcelController;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * 文件日志
 */
@Getter
@Setter
@Accessors(chain = true)
public class GmhFileLog extends BaseEntity{

    /**
     * 文件id
     */
    private String fileId;
    /**
     * 操作类型
     */
    private String operateType;

    /**
     * 文件操作类型
     */
    @Getter
    @AllArgsConstructor
    public enum OperateType {

        D_S_IMP("0", "数据源导入"),
        TEMPL_IMP("1", "模板导入"),
        TEMPL_EXP("2", "模板导出");

        private final String value;
        private final String remark;

        public static GmhFileLog.OperateType findEnum(String value) {
            for (GmhFileLog.OperateType item : values()) {
                if (value.equals(item.getValue())) {
                    return item;
                }
            }
            throw new RuntimeException("没有找到对应的枚举");
        }
    }
}
